<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>仓别</title>
  <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
  <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
  <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
  <style type="text/css">
        .layui-form-select dl{max-height: 150px;}
    </style>
</head>
<body>

<div class="layui-fluid">
    <div class="layui-card">
        <div class="layui-card-body" pad15>
            <div class="layui-row layui-col-space15">
                <div class="layui-col-md12">

                    <form class="layui-form" action="" lay-filter="component-form-element">
                        <div class="layui-row layui-col-space10 layui-form-item">

                            <div class="layui-col-lg6">
                                <label class="layui-form-label"><font color='red' size="4">*</font>名称：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="name" lay-verify="required" autocomplete="off" class="layui-input">
                                </div>
                            </div>

                            <div class="layui-col-lg6">
                                <label class="layui-form-label">管理员：</label>
                                <div class="layui-input-block">
                                    <select id="id_user" xm-select="user_range" xm-select-type="1">
                                        <option value=""></option>
                                    </select>
                                </div>
                            </div>

                            <div class="layui-col-lg6">
                                <label class="layui-form-label">备注：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="notes" placeholder="" autocomplete="off" class="layui-input">
                                </div>
                            </div>

                            <div class="layui-col-lg6">
                                <label class="layui-form-label">默认：</label>
                                <div class="layui-input-block">
                                    <input id="id_checked" type="checkbox" name="is_default" lay-skin="switch" lay-text="是|否" checked="">
                                </div>
                            </div>

                            <div class="layui-col-lg6">
                                <label class="layui-form-label">在用：</label>
                                <div class="layui-input-block">
                                    <input type="checkbox" name="enabled" lay-skin="switch" lay-text="是|否" checked="" value="1">
                                </div>
                            </div>

                            <button id="submit_btn" style="display: none;" class="layui-btn" lay-submit lay-filter="component-form-element"></button>

                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>
</div>


  <script src="../../layuiadmin/layui/layui.js"></script>
  <script>
  layui.config({
    base: '../../../layuiadmin/' //静态资源所在路径
  }).extend({
    index: 'lib/index' //主入口模块
    ,formSelects: 'formSelects-v3'
  }).use(['index', 'form','formSelects'], function(){
    var $ = layui.$
    ,admin = layui.admin
    ,element = layui.element
    ,form = layui.form
    ,formSelects = layui.formSelects;

    var id = layui.view.getParameterByName('id');

    var editdata = null;
    if(id != ''){
        editdata = JSON.parse(JSON.stringify(parent.layui.table.editdata)); // 框架有Bug所以这么转换
        form.val("component-form-element", editdata);
    }

    admin.req({
      url: '/account/employee/combobox/data/',
      done: function(res){
        var data = res.data;
        var dots = $('#id_user');
        for (var i in data) {
            var id = data[i].id;
            var value = data[i].name;
            dots.append("<option value='"+id+"'>"+value+"</option>");
        }
        form.render();
        if (editdata) {
         formSelects.value('user_range', editdata.user_ids);
        }
      }
    });

    if (id == '') {
      admin.req({
        url: '/warehouse/data/?is_default=1&type=2',
        done: function(res){
          var data = res.data;
          if (data.length > 0){
            $('#id_checked').removeAttr('checked');
          }else{
            $('#id_checked').attr('checked', true)
          }
          form.render();
        }
      });
    }

    form.on('submit(component-form-element)', function(data){
      if(!('enabled' in data.field)) {
        data.field.enabled = false;
      }
      if(!('is_default' in data.field)) {
        data.field.is_default = false;
      }
      data.field.type = 2;

      data.field.user = formSelects.value('user_range', 'val');

      admin.req({
        url: '/warehouse/save/?id='+id
        ,data: JSON.stringify(data.field)
        ,type: 'post'
        ,done: function(res){
            parent.layui.onSubmitChild(res.data);
        }
      });
      return false;
    });
    parent.layui.submitChild = function () {
      $("#submit_btn").click();
    };

  });
  </script>
</body>
</html>